org.apache.pdfbox.pdmodel.graphics.color

## Class PDDeviceNAttributes

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.color.PDDeviceNAttributes

    public final class PDDeviceNAttributes
    extends Object

Contains additional information about the components of colour space. Instead of using the alternate color space and tint transform, conforming readers may use custom blending algorithms, along with other information provided in the attributes dictionary.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`PDDeviceNAttributes()` Creates a new DeviceN colour space attributes dictionary.
`PDDeviceNAttributes(COSDictionary attributes)` Creates a new DeviceN colour space attributes dictionary from the given dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Map<String,PDSeparation>` `getColorants()` Deprecated. user `getColorants(PDResources)`
`Map<String,PDSeparation>` `getColorants(PDResources resources)` Returns a map of colorants and their associated Separation color space.
`COSDictionary` `getCOSDictionary()` Returns the underlying COS dictionary.
`PDDeviceNProcess` `getProcess()` Returns the DeviceN Process Dictionary, or null if it is missing.
`boolean` `isNChannel()` Returns true if this is an NChannel (PDF 1.6) color space.
`void` `setColorants(Map<String,PDColorSpace> colorants)` Sets the colorant map.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDDeviceNAttributes

    public PDDeviceNAttributes()

Creates a new DeviceN colour space attributes dictionary.

#### PDDeviceNAttributes

    public PDDeviceNAttributes(COSDictionary attributes)

Creates a new DeviceN colour space attributes dictionary from the given dictionary.

Parameters:
  `attributes` - a dictionary that has all of the attributes

### Method Detail

#### getCOSDictionary

    public COSDictionary getCOSDictionary()

Returns the underlying COS dictionary.

Returns:
  the dictionary that this object wraps

#### getColorants

    public Map<String,PDSeparation> getColorants(PDResources resources)
                                          throws IOException

Returns a map of colorants and their associated Separation color space.

Parameters:
  `resources` - resources, can be null.
Returns:
  map of colorants to color spaces, never null.
Throws:
  `IOException` - If there is an error reading a color space

#### getColorants

    @Deprecated
    public Map<String,PDSeparation> getColorants()
                                                      throws IOException

Deprecated. user `getColorants(PDResources)`
Returns a map of colorants and their associated Separation color space.

Returns:
  map of colorants to color spaces, never null.
Throws:
  `IOException` - If there is an error reading a color space

#### getProcess

    public PDDeviceNProcess getProcess()

Returns the DeviceN Process Dictionary, or null if it is missing.

Returns:
  the DeviceN Process Dictionary, or null if it is missing.

#### isNChannel

    public boolean isNChannel()

Returns true if this is an NChannel (PDF 1.6) color space.

Returns:
  true if this is an NChannel color space.

#### setColorants

    public void setColorants(Map<String,PDColorSpace> colorants)

Sets the colorant map.

Parameters:
  `colorants` - the map of colorants

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`